{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module HROOT.Tree.TTree.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawTTree

newtype TTree = TTree (Ptr RawTTree)
                  deriving (Eq, Ord, Show)

instance () => FPtr (TTree) where
        type Raw TTree = RawTTree
        get_fptr (TTree ptr) = ptr
        cast_fptr_to_obj = TTree
